Subject: Re: bug#45157: 27.1; DocView odt->pdf k (kill buffer and process) not defined

From: Tassilo Horn <[email-masked]>
Date: Fri, 11 Dec 2020 10:28:53 +0100

Vladimir Nikishkin <[email-masked]> writes:

Hi Vlad,

> Try visiting a docx file in DocMode. You will be presented with a
> message, saying "For now the following keys are useful: ...
> k -- kill buffer and conversion process, K kill conversion process"
>
> In fact, while K works as expected, k does not, k is not define.

Oh, indeed.  In 2015, the function `doc-view-kill-proc-and-buffer' has
been made an obsolete function alias for `image-kill-buffer' (which is
fine) but also the binding has been removed from the keymap but the
message hasn't been updated.

I've now bound `k' to `image-kill-buffer' which will kill the buffer and
the process (because `doc-view-kill-proc' is in `kill-buffer-hook').
The fix is in the emacs-27 branch and will be merged upwards.

Thanks for the report,
Tassilo